Skip to main content
GET
Get donor/recipient import batch progress (deprecated - use /import/batch/{batch_id}/progress)

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

batch_id
integer
required

ID of the import batch

Response

Batch progress or completed results

status
string
Example:

"processing"

progress
integer
Example:

45

total_rows
integer
Example:

1000

processed_rows
integer
Example:

450

successful_rows
integer
Example:

400

failed_rows
integer
Example:

50

total_errors
integer
Example:

75

validation_errors
object

Detailed errors by row (only when completed)

error_message
string

Error message if failed

batch_id
integer
Example:

123

filename
string
Example:

"donors.csv"

import_type
string
Example:

"donors"

created_at
string
Example:

"2024-01-14T10:30:00Z"

completed_at
string
Example:

"2024-01-14T10:35:00Z"